package com.gic.spark;

import com.gic.sharding.sdk.ShardingConfigManager;
import com.gic.spark.application.SparkEnvManager;
import com.gic.spark.config.SparkConfigManager;
import com.gic.spark.tag.TagProcessManager;

import java.util.ArrayList;
import java.util.List;

/**
 * @description:
 * @author: wangxk
 * @date: 2020/4/15
 */
public class SparkTagProcessByEnterpriseOrId {

    public static void main(String[] args){
        if (args == null || args.length < 4) {
            System.err.println("invalidate input params:");
            System.err.println("1.is production: true/false");
            System.err.println("2.extract data: true/false");
            System.err.println("3.type: enterprise/tagGroup");
            System.err.println("4.id: enterpriseId/tagGroupId");
            System.exit(2);
        }

        boolean isProd = Boolean.parseBoolean(args[0]);
        boolean extractData = Boolean.parseBoolean(args[1]);
        String type=args[2];
        String[] arrs=args[3].split(",");
        List<Integer>params=new ArrayList();
        for(String s:arrs){
            params.add(Integer.parseInt(s));
        }
        ShardingConfigManager.initDefualt();
        SparkEnvManager.getInstance().init("member_tag_4.0");
        SparkConfigManager.getInstance().init(isProd ? SparkConfigManager.EnvType.PRO : SparkConfigManager.EnvType.DEV, null);
        TagProcessManager.getInstance().init(isProd);
        if(type.equals("enterprise")){
            TagProcessManager.getInstance().setEnterpriseId(params);
        }else if(type.equals("tagGroup")){
            TagProcessManager.getInstance().setTagGroupId(params);
        }else{
            return;
        }
//        TagProcessManager.getInstance().process(extractData);
    }
}
